{% extends 'tests/base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block content%}
    {% if audio == 'swipe-in.wav' %}
        <audio src="{% static 'sounds/swipe-in.wav' %}" autoplay></audio>
    {% elif audio == 'swipe-out.wav' %}
        <audio src="{% static 'sounds/swipe-out.wav' %}" autoplay></audio>
    {% elif audio == 'swipe-fail.wav' %}
        <audio src="{% static 'sounds/swipe-fail.wav' %}" autoplay></audio>
    {% endif %}


    <a href="{% url 'test_session' session_id=session.id %}" class="btn btn-link float-left text-dark">
        <i class="fa fa-arrow-left mr-2"></i>{{ session.name }}
    </a>
    <div class="container">
        <h1 class="m-3 text-center">{{ title }}</h1>
        <div class="container">

            {% if error == None %}
                {% if swiped_user != None %}
                    <div class="alert alert-success alert-dismissible fade show" role="alert">
                        <h5 class="alert-heading text-center"><strong>{{ swiped_user.first_name }} {{ swiped_user.last_name }}</strong> successfully swiped</h5>
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                {% endif %}
            {% else %}
                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                    {% if error == 'NOT_REGISTERED' %}
                        <h5 class="alert-heading text-center"><strong>{{ swiped_user.first_name }} {{ swiped_user.last_name }}</strong> is not registered for this session</h5>
                    {% elif error == "NOT_FOUND" %}
                        <h5 class="alert-heading text-center">User not found</h5>
                    {% elif error == "INVALID_FORM" %}
                        <h5 class="alert-heading text-center">Invalid form</h5>
                    {% endif %}
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            {% endif %}

            {% if swipe_enabled %}
                <form method="post">
                    {% csrf_token %}
                    {{ form | crispy }}
                    <button href="#" class="btn btn-primary">Submit</button>
                </form>
            {% else %}
                <h4 class="m-3 text-center">Card swipes are not enabled for this test!</h4>
            {% endif %}
        </div>
    </div>
{% endblock %}
